@import "~@angular/material/theming";

@include mat-core();

/* For use in src/lib/core/theming/_palette.scss */
$md-primary: (
  50 : #e8e9ec,
  100 : #c6c8cf,
  200 : #a0a4af,
  300 : #797f8f,
  400 : #5d6377,
  500 : #40485f,
  600 : #3a4157,
  700 : #32384d,
  800 : #2a3043,
  900 : #1c2132,
  A100 : #7894ff,
  A200 : #456cff,
  A400 : #1244ff,
  A700 : #0034f7,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #ffffff,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #ffffff,
    A400 : #ffffff,
    A700 : #ffffff,
  )
);

$md-accent: (
  50 : #e1f4fc,
  100 : #b3e3f7,
  200 : #80d1f1,
  300 : #4dbfeb,
  400 : #27b1e7,
  500 : #01a3e3,
  600 : #019be0,
  700 : #0191dc,
  800 : #0188d8,
  900 : #0077d0,
  A100 : #f8fcff,
  A200 : #c5e3ff,
  A400 : #92caff,
  A700 : #79beff,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #000000,
    400 : #000000,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #000000,
    A400 : #000000,
    A700 : #000000,
  )
);

$md-warn: (
  50 : #f9e0e0,
  100 : #f0b3b3,
  200 : #e68080,
  300 : #db4d4d,
  400 : #d42626,
  500 : #cc0000,
  600 : #c70000,
  700 : #c00000,
  800 : #b90000,
  900 : #ad0000,
  A100 : #ffd7d7,
  A200 : #ffa4a4,
  A400 : #ff7171,
  A700 : #ff5858,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #ffffff,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #000000,
    A400 : #000000,
    A700 : #000000,
  )
);

$primary: mat-palette($md-primary, 800);
$accent: mat-palette($md-accent, 600, 100, 800);
$warn: mat-palette($md-warn, 600);
$theme: mat-light-theme($primary, $accent, $warn);
@include angular-material-theme($theme);

@import '~@angular/material/theming';

// Define a custom typography config that overrides the font-family as well as the
// `headlines` and `body-1` levels.
$custom-typography: mat-typography-config(
  $font-family: $dosisregular-family,
  $headline: mat-typography-level(32px, 48px, 700),
  $body-1: mat-typography-level(16px, 24px, 500)
);

@include mat-base-typography($custom-typography);
@include angular-material-typography($custom-typography);
@include mat-core($custom-typography);
